Subject: Re: bug#65797: `buffer-match-p` should not use `func-arity`

From: Stefan Monnier <[email-masked]>
Date: Thu, 14 Sep 2023 21:38:31 -0400

>> FWIW The intention here was to be able and specify simpler conditions
>> that don't have to handle the alist.
>
> There doesn't seem to be any built-in named functions that we expect to be
> used, so I suppose any such are either in custom files or third-party code
> (and are custom-written anyway). Then breaking those (asking the users to
> update them, basically) might not be the worst decision.
>
> OTOH, the condition-case/wrong-number-of-arguments solution also should work
> 99,9% of the time, and that might cover all such functions in existence too.

I'm not worried about breakage: we can keep the current `func-arity`
check (or replace it with a `condition-case`) to smooth over the change.

The main question is one of convenience: Philip wanted this DWIMish
behavior because he thought the added convenience was worth the
complexity (just without realizing that he was offering something we
can't really provide :-).

If the added convenience is not used in practice (or not significantly
enough to warrant the effort), then we can just change the
doc and move on.

        Stefan